## MateMixerStreamSwitch MateMixerStreamSwitch |

## Functions

MateMixerStreamSwitchFlags | mate_mixer_stream_switch_get_flags ()
MateMixerStreamSwitchRole | mate_mixer_stream_switch_get_role ()
MateMixerStream * | mate_mixer_stream_switch_get_stream ()

## Properties

MateMixerStreamSwitchFlags | flags | Read / Write / Construct Only
MateMixerStreamSwitchRole | role | Read / Write / Construct Only
MateMixerStream * | stream | Read / Write / Construct Only

## Types and Values

enum | MateMixerStreamSwitchFlags
enum | MateMixerStreamSwitchRole
| MateMixerStreamSwitch
struct | MateMixerStreamSwitchClass

## Object Hierarchy

        GObject
        ╰── MateMixerSwitch
            ╰── MateMixerStreamSwitch
                ╰── MateMixerStreamToggle

## Includes

    #include <libmatemixer/matemixer.h>

## Description

## Functions

### mate_mixer_stream_switch_get_flags ()

    MateMixerStreamSwitchFlags
    mate_mixer_stream_switch_get_flags (MateMixerStreamSwitch *swtch);

Gets the flags of the switch. See MateMixerStreamSwitchFlags for information about the meaning of the individual flags.

#### Parameters

swtch | a MateMixerStreamSwitch |

#### Returns

the flags of the switch.

### mate_mixer_stream_switch_get_role ()

    MateMixerStreamSwitchRole
    mate_mixer_stream_switch_get_role (MateMixerStreamSwitch *swtch);

Gets the role of the switch. The role identifies the purpose of the switch.

#### Parameters

swtch | a MateMixerStreamSwitch |

#### Returns

the switch role.

### mate_mixer_stream_switch_get_stream ()

    MateMixerStream *
    mate_mixer_stream_switch_get_stream (MateMixerStreamSwitch *swtch);

#### Parameters

swtch | a MateMixerStreamSwitch |

## Types and Values

### enum MateMixerStreamSwitchFlags

#### Members

MATE_MIXER_STREAM_SWITCH_NO_FLAGS | No flags. |
MATE_MIXER_STREAM_SWITCH_TOGGLE | The switch is a MateMixerStreamToggle. |

### enum MateMixerStreamSwitchRole

#### Members

MATE_MIXER_STREAM_SWITCH_ROLE_UNKNOWN | Unknown stream switch role. |
MATE_MIXER_STREAM_SWITCH_ROLE_PORT | The switch changes the active port. |
MATE_MIXER_STREAM_SWITCH_ROLE_BOOST | The switch changes the boost value. |

### MateMixerStreamSwitch

    typedef struct _MateMixerStreamSwitch MateMixerStreamSwitch;

The MateMixerStreamSwitch structure contains only private data and should only be accessed using the provided API.

### struct MateMixerStreamSwitchClass

    struct MateMixerStreamSwitchClass {
        MateMixerSwitchClass parent_class;
    };

The class structure for MateMixerStreamSwitch.

#### Members

## Property Details

### The `“flags”` property

      “flags”                    MateMixerStreamSwitchFlags

Flags of the switch.

Owner: MateMixerStreamSwitch

Flags: Read / Write / Construct Only

### The `“role”` property

      “role”                     MateMixerStreamSwitchRole

Role of the switch.

Owner: MateMixerStreamSwitch

Flags: Read / Write / Construct Only

Default value: MATE_MIXER_STREAM_SWITCH_ROLE_UNKNOWN

### The `“stream”` property

      “stream”                   MateMixerStream *

Stream owning the switch.

Owner: MateMixerStreamSwitch

Flags: Read / Write / Construct Only